it-roy-ru.com

Как установить php-xml в Ubuntu 16.04?

У меня установлен php7.0 в Ubuntu 16.04, и я пытаюсь установить программное обеспечение форума в Apache2, но я получаю следующую ошибку:

Для правильной работы должно быть доступно расширение PHP XML/DOM.

Я пытался выполнить

Sudo apt-get install php-xml
Sudo apt-get install php7.0-xml

но они дают мне следующую ошибку:

php-xml: Зависит: php7.1-xml, но не будет установлен

Когда я пытаюсь установить php7.1 из PPA, у меня все еще возникают проблемы зависимостей от других PHP модулей. 

Любые идеи, как я могу установить php-xml без каких-либо проблем с зависимостями?

4
galatia

Вы можете попробовать установить файлы .deb вручную отсюда https://launchpad.net/ubuntu/xenial/+package/php-xml

0
Percival Rapha